Bug 210783 - (pear-DB-QueryTool) Review Request: php-pear-DB-QueryTool - An OO-interface for easily retrieving and modifying data in a DB
Review Request: php-pear-DB-QueryTool - An OO-interface for easily retrieving...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-14 19:13 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 22:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-14 19:13:33 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-DB-QueryTool.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-DB-QueryTool-1.0.3-1.src.rpm

Description:
This package is an OO-abstraction to the SQL-Query language, it provides
methods such as setWhere, setOrder, setGroup, setJoin, etc. to easily
build queries.
Comment 1 Jason Tibbitts 2006-10-15 01:12:32 EDT
Would you happen to have any idea why the pear registration bit tries to do
network access?  It makes things terribly slow to install in a mock chroot
(where name resolution doesn't really work).  Since this package has three
runtime dependencies, it takes about five or so minutes to install them all.
Comment 2 Jason Tibbitts 2006-10-15 16:32:19 EDT
Everything looks fine; the only question I have is why the documentation is down
in a couple of subdirectories:
   /usr/share/doc/php-pear-DB-QueryTool-1.0.3
   /usr/share/doc/php-pear-DB-QueryTool-1.0.3/docs
   /usr/share/doc/php-pear-DB-QueryTool-1.0.3/docs/examples
   /usr/share/doc/php-pear-DB-QueryTool-1.0.3/docs/examples/example.php
   [...]

Perhaps the "docs" subdirectory could be eliminated.  In any case, I don't think
it's a blocker; it just looks a bit odd.

* source files match upstream:
   6b93afe58f4e5bdd2f198b2b6d7acefa  DB_QueryTool-1.0.3.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not separately included
upstream (although it is in the source files).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(DB_QueryTool) = 1.0.3
   php-pear-DB-QueryTool = 1.0.3-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-pear(DB)
   php-pear(Log)
   php-pear(PEAR)
* %check is not present; there is some form of test suite, but it is not
possible to run it at build time.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Christopher Stone 2006-10-16 22:55:10 EDT
I've update the spec to not include the extra doc/ dir.  Thanks for the review.
Comment 4 Christopher Stone 2007-04-25 18:09:06 EDT
Package Change Request
======================
Package Name: php-pear-DB-QueryTool
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.